America's Retribution Term 2

Informations

Creator Message
Dadu042

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 2864
Wine: 4.19

Feedbacks

Description

2D Side scrolling retro action shooter game where you take down terrorists, the US deficit and evil dictators! (2019). Steam.

Know issue : gamepad does not work.

Screenshots

MiniatureMiniature

Source code

#!/bin/bash
# Date : (2019-11-05)
# Last revision : see Changelog
# Wine version used : see Changelog
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Edition: unofficial DDV v1.1 (displayed on the main menu).
#
# Middlewares used by this software : DirectX 11, HTML5, Chromium, NWJS.
#
# CHANGELOG
# [Dadu042] (2019-11-05)
#   First script.
# [Dadu042] (2019-11-06 00:08)
#   Fix STEAM_ID
#
# KNOWN ISSUES:
#  - Wine amd64 3.0.3, 4.0.2: no sound/music, game freeze.
#  - Wine amd64 4.19: no sound/music. Tried: install d3dx11, gecko. Fix: alsa.
#  - Wine amd64 4.19: gamepad not detected (#1, USB ID: 0079:0006), or working bad (#2: 044f:b315, does only fire and jump). Tried: install xinput, dinput, dinput8. directplay.
#  - Wine amd64 4.19: mouse cursor should hide but does not. 
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
   
TITLE="America's Retribution Term 2"
PREFIX="Americas_Retribution_2"
EDITOR="Ed Findlay"
GAME_URL="https://store.steampowered.com/app/1072350/Americas_Retribution_Term_2/"
AUTHOR="Dadu042"
STEAM_ID="1072350"
WORKING_WINE_VERSION="4.19"
GAME_VMS="256"
SHORTCUT_FILENAME="nw.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization

# Starting the script
POL_SetupWindow_Init
      
# Starting debugging API
POL_Debug_Init
     
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
    
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
     
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"

# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "win7"
  
# Installing mandatory dependencies
  
# POL_Call POL_Install_riched30
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx

# Sound problem fix - pulseaudio related
[ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
[ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
# Choose between Steam and other Digital Download versions
POL_SetupWindow_InstallMethod "STEAM,LOCAL"
  
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
  
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
   
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
   
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600)
 #       POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "http://"
        
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
 
        POL_Wine "Hospice.exe"  "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "README_OR_DIE.txt"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".RAR"
        
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"

        # Restore screen resolution (game's default is 800x600)
        # Note: Aliens versus Predator 2 v1.0 does not restore the resolution, but once patched (v1.0.9.6) it does.
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"

        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "README_OR_DIE.txt"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
            
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."

        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi

################
#      GPU     #
################

# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver

################
# Patch update #
################

# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ? (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
    
# if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
#         POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
#         PATCH_EXE="$APP_ANSWER"
#         POL_Wine start /unix "$PATCH_EXE"
#         POL_Wine_WaitExit "$PATCH_EXE"
# fi


POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Wednesday 6 November 2019 at 0:10
Dadu042

Information

This update has been approved by the team.

Differences

@@ -14,6 +14,8 @@
 # CHANGELOG
 # [Dadu042] (2019-11-05)
 #   First script.
+# [Dadu042] (2019-11-06 00:08)
+#   Fix STEAM_ID
 #
 # KNOWN ISSUES:
 #  - Wine amd64 3.0.3, 4.0.2: no sound/music, game freeze.
@@ -31,7 +33,7 @@
 EDITOR="Ed Findlay"
 GAME_URL="https://store.steampowered.com/app/1072350/Americas_Retribution_Term_2/"
 AUTHOR="Dadu042"
-STEAM_ID="835110"
+STEAM_ID="1072350"
 WORKING_WINE_VERSION="4.19"
 GAME_VMS="256"
 SHORTCUT_FILENAME="nw.exe"

New source code

#!/bin/bash
# Date : (2019-11-05)
# Last revision : see Changelog
# Wine version used : see Changelog
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Edition: unofficial DDV v1.1 (displayed on the main menu).
#
# Middlewares used by this software : DirectX 11, HTML5, Chromium, NWJS.
#
# CHANGELOG
# [Dadu042] (2019-11-05)
#   First script.
# [Dadu042] (2019-11-06 00:08)
#   Fix STEAM_ID
#
# KNOWN ISSUES:
#  - Wine amd64 3.0.3, 4.0.2: no sound/music, game freeze.
#  - Wine amd64 4.19: no sound/music. Tried: install d3dx11, gecko. Fix: alsa.
#  - Wine amd64 4.19: gamepad not detected (#1, USB ID: 0079:0006), or working bad (#2: 044f:b315, does only fire and jump). Tried: install xinput, dinput, dinput8. directplay.
#  - Wine amd64 4.19: mouse cursor should hide but does not. 
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
   
TITLE="America's Retribution Term 2"
PREFIX="Americas_Retribution_2"
EDITOR="Ed Findlay"
GAME_URL="https://store.steampowered.com/app/1072350/Americas_Retribution_Term_2/"
AUTHOR="Dadu042"
STEAM_ID="1072350"
WORKING_WINE_VERSION="4.19"
GAME_VMS="256"
SHORTCUT_FILENAME="nw.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization

# Starting the script
POL_SetupWindow_Init
      
# Starting debugging API
POL_Debug_Init
     
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
    
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
     
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"

# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "win7"
  
# Installing mandatory dependencies
  
# POL_Call POL_Install_riched30
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx

# Sound problem fix - pulseaudio related
[ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
[ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
# Choose between Steam and other Digital Download versions
POL_SetupWindow_InstallMethod "STEAM,LOCAL"
  
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
  
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
   
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
   
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600)
 #       POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "http://"
        
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
 
        POL_Wine "Hospice.exe"  "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "README_OR_DIE.txt"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".RAR"
        
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"

        # Restore screen resolution (game's default is 800x600)
        # Note: Aliens versus Predator 2 v1.0 does not restore the resolution, but once patched (v1.0.9.6) it does.
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"

        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "README_OR_DIE.txt"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
            
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."

        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi

################
#      GPU     #
################

# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver

################
# Patch update #
################

# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ? (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
    
# if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
#         POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
#         PATCH_EXE="$APP_ANSWER"
#         POL_Wine start /unix "$PATCH_EXE"
#         POL_Wine_WaitExit "$PATCH_EXE"
# fi


POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Tuesday 5 November 2019 at 23:35
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Played 5 min.

Differences

@@ -0,0 +1,194 @@
+#!/bin/bash
+# Date : (2019-11-05)
+# Last revision : see Changelog
+# Wine version used : see Changelog
+# Distribution used to test : KUbuntu 18.04 x64
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Edition: unofficial DDV v1.1 (displayed on the main menu).
+#
+# Middlewares used by this software : DirectX 11, HTML5, Chromium, NWJS.
+#
+# CHANGELOG
+# [Dadu042] (2019-11-05)
+#   First script.
+#
+# KNOWN ISSUES:
+#  - Wine amd64 3.0.3, 4.0.2: no sound/music, game freeze.
+#  - Wine amd64 4.19: no sound/music. Tried: install d3dx11, gecko. Fix: alsa.
+#  - Wine amd64 4.19: gamepad not detected (#1, USB ID: 0079:0006), or working bad (#2: 044f:b315, does only fire and jump). Tried: install xinput, dinput, dinput8. directplay.
+#  - Wine amd64 4.19: mouse cursor should hide but does not. 
+#
+# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+   
+TITLE="America's Retribution Term 2"
+PREFIX="Americas_Retribution_2"
+EDITOR="Ed Findlay"
+GAME_URL="https://store.steampowered.com/app/1072350/Americas_Retribution_Term_2/"
+AUTHOR="Dadu042"
+STEAM_ID="835110"
+WORKING_WINE_VERSION="4.19"
+GAME_VMS="256"
+SHORTCUT_FILENAME="nw.exe"
+SOFTWARE_CATEGORIES="Game;ActionGame;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+
+# Starting the script
+POL_SetupWindow_Init
+      
+# Starting debugging API
+POL_Debug_Init
+     
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+   
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+   
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+    
+POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+   
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+     
+# Determine Architecture
+POL_System_SetArch "amd64"
+# POL_System_SetArch "x86"
+
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+   
+Set_OS "win7"
+  
+# Installing mandatory dependencies
+  
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+   
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+
+# Sound problem fix - pulseaudio related
+[ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+[ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+   
+# Choose between Steam and other Digital Download versions
+POL_SetupWindow_InstallMethod "STEAM,LOCAL"
+  
+# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
+  
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+   
+elif [ "$INSTALL_METHOD" == "DVD" ];then
+        POL_SetupWindow_cdrom
+   
+        POL_SetupWindow_check_cdrom "setup.exe"
+        POL_Wine start /unix "$CDROM/setup.exe"
+        POL_Wine_WaitExit "setup.exe"
+  
+        # Restore screen resolution (game's default is 800x600)
+ #       POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+  
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+   
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
+        POL_Download "http://"
+        
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+ 
+        POL_Wine "Hospice.exe"  "/SILENT"
+        POL_Wine_WaitBefore "$TITLE"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_Document "$TITLE" "README_OR_DIE.txt"
+    
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # APP_ANSWER=".RAR"
+        
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+
+        # Restore screen resolution (game's default is 800x600)
+        # Note: Aliens versus Predator 2 v1.0 does not restore the resolution, but once patched (v1.0.9.6) it does.
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        # POL_Shortcut_Document "$TITLE" "README_OR_DIE.txt"
+
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+            
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+
+        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+fi
+fi
+
+################
+#      GPU     #
+################
+
+# Asking about memory size of graphic card
+# POL_SetupWindow_VMS $GAME_VMS
+   
+# Set Graphic Card information keys for wine
+# POL_Wine_SetVideoDriver
+
+################
+# Patch update #
+################
+
+# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ? (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
+    
+# if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+#         POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
+#         PATCH_EXE="$APP_ANSWER"
+#         POL_Wine start /unix "$PATCH_EXE"
+#         POL_Wine_WaitExit "$PATCH_EXE"
+# fi
+
+
+POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+
+POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+   
+POL_SetupWindow_Close
+exit 0

New source code

#!/bin/bash
# Date : (2019-11-05)
# Last revision : see Changelog
# Wine version used : see Changelog
# Distribution used to test : KUbuntu 18.04 x64
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Edition: unofficial DDV v1.1 (displayed on the main menu).
#
# Middlewares used by this software : DirectX 11, HTML5, Chromium, NWJS.
#
# CHANGELOG
# [Dadu042] (2019-11-05)
#   First script.
#
# KNOWN ISSUES:
#  - Wine amd64 3.0.3, 4.0.2: no sound/music, game freeze.
#  - Wine amd64 4.19: no sound/music. Tried: install d3dx11, gecko. Fix: alsa.
#  - Wine amd64 4.19: gamepad not detected (#1, USB ID: 0079:0006), or working bad (#2: 044f:b315, does only fire and jump). Tried: install xinput, dinput, dinput8. directplay.
#  - Wine amd64 4.19: mouse cursor should hide but does not. 
#
# Ideas to improve this script: select archive, then decide if extension is RAR or ZIP or 7Z...

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
   
TITLE="America's Retribution Term 2"
PREFIX="Americas_Retribution_2"
EDITOR="Ed Findlay"
GAME_URL="https://store.steampowered.com/app/1072350/Americas_Retribution_Term_2/"
AUTHOR="Dadu042"
STEAM_ID="835110"
WORKING_WINE_VERSION="4.19"
GAME_VMS="256"
SHORTCUT_FILENAME="nw.exe"
SOFTWARE_CATEGORIES="Game;ActionGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization

# Starting the script
POL_SetupWindow_Init
      
# Starting debugging API
POL_Debug_Init
     
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
   
# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
   
# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
    
POL_RequiredVersion "4.3.4" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
   
# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
     
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"

# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
   
Set_OS "win7"
  
# Installing mandatory dependencies
  
# POL_Call POL_Install_riched30
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
   
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx

# Sound problem fix - pulseaudio related
[ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
[ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
   
# Choose between Steam and other Digital Download versions
POL_SetupWindow_InstallMethod "STEAM,LOCAL"
  
# POL_SetupWindow_message "Note: at the end of the installation, please do not run the game, and do not install DirectX 9." "$TITLE"
  
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
   
elif [ "$INSTALL_METHOD" == "DVD" ];then
        POL_SetupWindow_cdrom
   
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
        POL_Wine_WaitExit "setup.exe"
  
        # Restore screen resolution (game's default is 800x600)
 #       POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
  
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
   
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ];then
        POL_Download "http://"
        
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
 
        POL_Wine "Hospice.exe"  "/SILENT"
        POL_Wine_WaitBefore "$TITLE"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_Document "$TITLE" "README_OR_DIE.txt"
    
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".RAR"
        
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"

        # Restore screen resolution (game's default is 800x600)
        # Note: Aliens versus Predator 2 v1.0 does not restore the resolution, but once patched (v1.0.9.6) it does.
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"

        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        # POL_Shortcut_Document "$TITLE" "README_OR_DIE.txt"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
            
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."

        # POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
fi
fi

################
#      GPU     #
################

# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
   
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver

################
# Patch update #
################

# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ? (to download by yourself).')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"
    
# if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
#         POL_SetupWindow_browse "$(eval_gettext 'Please select the file to run')" "$TITLE"
#         PATCH_EXE="$APP_ANSWER"
#         POL_Wine start /unix "$PATCH_EXE"
#         POL_Wine_WaitExit "$PATCH_EXE"
# fi


POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"

POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid let POL/POM a huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
   
POL_SetupWindow_Close
exit 0

Replies